> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mangrovesystems.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List event types on a project

> Shows all configured event types that a project can accept with filtering and sorting capabilities.



## OpenAPI

````yaml GET /projects/{project_id}/event_types
openapi: 3.1.0
info:
  title: Mangrove - API
  version: 1.1.0
servers:
  - url: https://app.gomangrove.com/api/v1
security:
  - sec0: []
paths:
  /projects/{project_id}/event_types:
    get:
      summary: List all event types on a project
      description: >-
        Shows all configured event types that a project can accept with
        filtering and sorting capabilities.
      operationId: list-all-event-types-on-a-project
      parameters:
        - name: project_id
          in: path
          schema:
            type: string
          required: true
        - name: page
          in: query
          schema:
            type: integer
            format: int32
            default: 1
        - name: page_size
          in: query
          schema:
            type: integer
            format: int32
            default: 10
        - name: sort
          in: query
          description: >-
            Comma-separated list of fields to sort by. Prefix with - for
            descending. Available fields: id, name, slug, created_at, updated_at
          schema:
            type: string
            example: name,-created_at
        - name: filter[id][eq]
          in: query
          schema:
            type: integer
        - name: filter[name][contains]
          in: query
          schema:
            type: string
        - name: filter[slug][eq]
          in: query
          schema:
            type: string
        - name: filter[is_static][eq]
          in: query
          schema:
            type: boolean
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    data:
                      - id: 1
                        slug: feedstock-delivery
                        name: Feedstock Delivery
                        is_static: false
                        requires_feedstock: true
                        created_at: '2025-02-03T14:19:11.787Z'
                        updated_at: '2025-02-03T14:19:11.787Z'
                        data_point_types:
                          - slug: feedstock-delivery-mass
                            name: Mass of Feedstock Delivery
                            value_type: number
                            unit: U.S. ton
                          - slug: feedstock-delivery-distance
                            name: Distance of Feedstock Delivery
                            value_type: number
                            unit: mile
                          - slug: feedstock-delivery-feedstock-type
                            name: Feedstock Type
                            value_type: string
                            unit: null
                          - slug: feedstock-delivery-certification
                            name: Feedstock Certification
                            value_type: string
                            unit: null
                          - slug: feedstock-delivery-is_processed
                            name: Feedstock is Processed
                            value_type: boolean
                            unit: null
                      - id: 2
                        slug: co2-injection
                        name: CO2 Injection
                        is_static: false
                        requires_feedstock: false
                        created_at: '2025-02-03T14:19:11.787Z'
                        updated_at: '2025-02-03T14:19:11.787Z'
                        data_point_types:
                          - slug: co2-injection-daily-mass
                            name: Total Daily injected mass
                            value_type: number
                            unit: t
                          - slug: co2-injection-total-mass
                            name: Total CO2 injected to date
                            value_type: number
                            unit: t
                          - slug: co2-injection-mass-flow-rate
                            name: Mass flow rate of CO2 injected
                            value_type: number
                            unit: lb/min
                    info:
                      items: 2
                      page_size: 10
                      total_items: 2
                      current_page: 1
                      next_page: null
                      previous_page: null
                      total_pages: 1
                      sort:
                        - field: name
                          direction: asc
                      filter:
                        - field: is_static
                          operator: eq
                          value: false
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: integer
                          example: 1
                          default: 0
                        slug:
                          type: string
                          example: feedstock-delivery
                        name:
                          type: string
                          example: Feedstock Delivery
                        is_static:
                          type: boolean
                          example: false
                          default: true
                        requires_feedstock:
                          type: boolean
                          example: false
                        created_at:
                          type: string
                          example: '2025-02-03T14:19:11.787Z'
                        updated_at:
                          type: string
                          example: '2025-02-03T14:19:11.787Z'
                        data_point_types:
                          type: array
                          items:
                            type: object
                            properties:
                              slug:
                                type: string
                                example: feedstock-delivery-mass
                              name:
                                type: string
                                example: Mass of Feedstock Delivery
                              value_type:
                                type: string
                                example: number
                              unit:
                                type: string
                                example: U.S. ton
                  info:
                    type: object
                    properties:
                      items:
                        type: integer
                        example: 2
                        default: 0
                      page_size:
                        type: integer
                        example: 10
                        default: 0
                      total_items:
                        type: integer
                        example: 2
                        default: 0
                      current_page:
                        type: integer
                        example: 1
                        default: 0
                      next_page: {}
                      previous_page: {}
                      total_pages:
                        type: integer
                        example: 1
                        default: 0
                      sort:
                        type: string
                      filter:
                        type: string
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value: '{}'
              schema:
                type: object
                properties: {}
        '404':
          description: '404'
          content:
            application/json:
              examples:
                Result:
                  value:
                    message: record not found
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: record not found
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: ''

````